textures/common/clip
{
	qer_trans 0.40
	surfaceparm 	nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
        
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/hint
{
qer_nocarve
qer_trans 0.30
surfaceparm nodraw
surfaceparm nonsolid
surfaceparm structural
surfaceparm trans
surfaceparm noimpact
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm	nomarks
	surfaceparm detail
	surfaceparm clusterportal
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
        surfaceparm nolightmap
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

models/mapobjects/gratelamp/gratetorch2b
{
    cull disable
    
        {
                map models/mapobjects/gratelamp/gratetorch2b.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }


}

textures/sfx/flame2
{

	
	
	
	
	
	
		surfaceparm nomarks
		surfaceparm nolightmap
		cull none
		q3map_surfacelight 5500
		qer_editorimage textures/sfx/flame1.tga

	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	

	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

textures/skies/toxicskytim_ctf1
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun	1 1 0.5 90 70 40
	q3map_surfacelight 120

	qer_editorimage textures/skies/toxicsky.tga

	skyparms - 512 -
	
	{
		map textures/skies/inteldimclouds.tga
		tcmod scale 3 2
		tcmod scroll 0.15 0.15
		depthwrite
	}
	{
		map textures/skies/intelredclouds.tga
		blendfunc gl_one gl_one
		tcmod scale 3 3
		tcmod scroll 0.05 0.05
	}
}

textures/classic2_0/bounce_blue_nolight
{
	qer_editorimage textures/ctf_unified/qer_bounce_blue.tga
	q3map_lightimage textures/ctf_unified/bounce_fx_blue.tga
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/ctf_unified/bounce_base.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
	{
		map textures/ctf_unified/bounce_glow_blue.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx_blue.tga
		blendfunc add
		tcmod stretch sin 1.2 0.8 0 1.5
		rgbgen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/classic2_0/bounce_red_nolight
{
	qer_editorimage textures/ctf_unified/qer_bounce_red.tga
	q3map_lightimage textures/ctf_unified/bounce_fx_red.tga
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/ctf_unified/bounce_base.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
	{
		map textures/ctf_unified/bounce_glow_red.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx_red.tga
		blendfunc add
		tcmod stretch sin 1.2 0.8 0 1.5
		rgbgen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/classic2_0/clear_ripple3
{
		qer_editorimage textures/classic2_0/pool3d_3c.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformvertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/classic2_0/pool3d_5c.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/classic2_0/pool3d_6c.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/classic2_0/pool3d_3c.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendfunc gl_dst_color gl_zero
			rgbgen identity		
		}
	

}

textures/ctf_unified/bounce_blue
{
	qer_editorimage textures/ctf_unified/qer_bounce_blue.tga
	q3map_lightimage textures/ctf_unified/bounce_fx_blue.tga
	q3map_surfacelight 400
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/ctf_unified/bounce_base.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
	{
		map textures/ctf_unified/bounce_glow_blue.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx_blue.tga
		blendfunc add
		tcmod stretch sin 1.2 0.8 0 1.5
		rgbgen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/bounce_red
{
	qer_editorimage textures/ctf_unified/qer_bounce_red.tga
	q3map_lightimage textures/ctf_unified/bounce_fx_red.tga
	q3map_surfacelight 400
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/ctf_unified/bounce_base.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
	{
		map textures/ctf_unified/bounce_glow_red.tga
		blendfunc add
		rgbgen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/ctf_unified/bounce_fx_red.tga
		blendfunc add
		tcmod stretch sin 1.2 0.8 0 1.5
		rgbgen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/pentfloor_neutral
{
	qer_editorimage textures/ctf_unified/pentfloor_base.tga
	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/ctf_unified/pentfloor_base.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
	{
		map textures/ctf_unified/pent_glow.tga
		blendfunc add
		rgbgen wave sin 0.4 0.2 0 0.2
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/pentfloor_blue
{
	qer_editorimage textures/ctf_unified/qer_pentfloor_blue.tga
	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/ctf_unified/pentfloor_base.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
	{
		map textures/ctf_unified/pent_glow_blue.tga
		blendfunc add
		rgbgen wave sin 0.4 0.2 0 0.2
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/pentfloor_red
{
	qer_editorimage textures/ctf_unified/qer_pentfloor_red.tga
	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/ctf_unified/pentfloor_base.tga
		rgbgen identity
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		depthfunc equal
	}
	{
		map textures/ctf_unified/pent_glow_red.tga
		blendfunc add
		rgbgen wave sin 0.4 0.2 0 0.2
	}
	{
		map textures/ctf_unified/bounce_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/weapfloor_blue
{
	qer_editorimage textures/ctf_unified/qer_weapfloor_blue.tga
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans

	{
		clampmap textures/ctf_unified/weapfloor_fx_blue.tga
		rgbgen wave sin 0.9 0.2 0 0.7
		tcmod rotate 180
		depthwrite
		alphafunc ge128
	}
	{
		map textures/ctf_unified/weapfloor_1.tga
		blendfunc blend
		rgbgen identity
		depthfunc equal
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
	{
		map textures/ctf_unified/weapfloor_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/weapfloor_red
{
	qer_editorimage textures/ctf_unified/qer_weapfloor_red.tga
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans

	{
		clampmap textures/ctf_unified/weapfloor_fx_red.tga
		rgbgen wave sin 0.9 0.2 0 0.7
		tcmod rotate 180
		depthwrite
		alphafunc ge128
	}
	{
		map textures/ctf_unified/weapfloor_1.tga
		blendfunc blend
		rgbgen identity
		depthfunc equal
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
		depthfunc equal
	}
	{
		map textures/ctf_unified/weapfloor_shadow.tga
		blendfunc filter
		rgbgen identity
	}
}

textures/ctf_unified/direction_blue
{    
	surfaceparm nomarks   
	surfaceparm trans
	surfaceparm pointlight
   
	{
		map textures/ctf_unified/direction_blue.tga
                blendfunc add
		rgbgen vertex
	}
}

textures/ctf_unified/direction_red
{    
	surfaceparm nomarks 
	surfaceparm trans  
	surfaceparm pointlight
        
	{
		map textures/ctf_unified/direction_red.tga
                blendfunc add
		rgbgen vertex
	}
}

textures/ctf_unified/ta_techspawn_blue
{
	qer_editorimage textures/ctf_unified/qer_tech_blue.tga
	surfaceparm nonsolid

	{
		clampmap textures/ctf_unified/tech_fx_blue.tga
		rgbgen identity
		tcmod rotate 222
	}
	{
		clampmap textures/ctf_unified/tech.tga
		blendfunc gl_one gl_one_minus_src_alpha
		rgbgen vertex
	}
}

textures/ctf_unified/ta_techspawn_red
{
	qer_editorimage textures/ctf_unified/qer_tech_red.tga
	surfaceparm nonsolid

	{
		clampmap textures/ctf_unified/tech_fx_red.tga
		rgbgen identity
		tcmod rotate 222
	}
	{
		clampmap textures/ctf_unified/tech.tga
		blendfunc blend
		rgbgen vertex
	}
}

